/*
    $Id: CSkypeAPIClient.h 47 2009-02-09 06:36:06Z twimmer $; This file is part of:

    skiputler. Connects Topcom "Butler 4012 USB VoIP" with Skype on Linux.
    Copyright (C) 2009  Till Wimmer skiputler@tonarchiv.ch

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __CSKYPEAPICLIENT_H__
#define __CSKYPEAPICLIENT_H__

#include "CSkypeAPI.h"

class CSkypeAPI;

class CSkypeAPIClient {
public:
    virtual void onSkypeCall(CSkypeAPI::callStat_t status, CSkypeAPI::callType_t type, const char *dialString) {};
    virtual void onSkypeOnline(void) {};
    virtual void onSkypeOffline(void) {};
};

#endif
